<?xml version="1.0" encoding="utf-8"?>
<Element>
    <Script>
        <Name>BasisExamples\SingleFoundation.py</Name>
        <Title>Single Foundation</Title>
        <Version>1.0</Version>
        <ReadLastInput>True</ReadLastInput>
    </Script>

    <Page>
        <Name>FoundationPage</Name>
        <Text>Foundation</Text>

        <!-- Size Expander -->
        <Parameter>
            <Name>SizeExpander</Name>
            <Text>Foundation size</Text>
            <Value>False</Value>
            <ValueType>Expander</ValueType>

            <!-- Foundation length -->
            <Parameter>
                <Name>FounLength</Name>
                <Text>Length</Text>
                <Value>2000</Value>
                <ValueType>Length</ValueType>
            </Parameter>

            <!-- Foundation width -->
            <Parameter>
                <Name>FounWidth</Name>
                <Text>Width</Text>
                <Value>2000</Value>
                <ValueType>Length</ValueType>
            </Parameter>

            <!-- Foundation height -->
            <Parameter>
                <Name>FounHeight</Name>
                <Text>Height</Text>
                <Value>1000</Value>
                <ValueType>Length</ValueType>
            </Parameter>
        </Parameter>

        <!-- Foundation propeties Expander -->
        <Parameter>
            <Name>FounPropExpander</Name>
            <Text>Properties</Text>
            <Value>False</Value>
            <ValueType>Expander</ValueType>

            <!-- use global properties -->
            <Parameter>
                <Name>IsFounUseGlobalProp</Name>
                <Text>Use global properties</Text>
                <Value>False</Value>
                <ValueType>CheckBox</ValueType>
            </Parameter>

            <!-- pen -->
            <Parameter>
                <Name>FounPen</Name>
                <Text>Pen</Text>
                <Value>1</Value>
                <ValueType>Pen</ValueType>
                <Visible>IsFounUseGlobalProp == False</Visible>
            </Parameter>

            <!-- Stroke -->
            <Parameter>
                <Name>FounStroke</Name>
                <Text>Stroke</Text>
                <Value>1</Value>
                <ValueType>Stroke</ValueType>
                <Visible>IsFounUseGlobalProp == False</Visible>
            </Parameter>

            <!-- Color -->
            <Parameter>
                <Name>FounColor</Name>
                <Text>Color</Text>
                <Value>1</Value>
                <ValueType>Color</ValueType>
                <Visible>IsFounUseGlobalProp == False</Visible>
            </Parameter>

            <!-- Layer -->
            <Parameter>
                <Name>FounLayer</Name>
                <Text>Layer</Text>
                <Value>1</Value>
                <ValueType>Layer</ValueType>
                <Visible>IsFounUseGlobalProp == False</Visible>
            </Parameter>

        </Parameter>

    </Page>


    <!-- COLUMN PAGE -->
    <Page>
        <Name>ColumnPage</Name>
        <Text>Column</Text>

        <!-- Size Expander -->
        <Parameter>
            <Name>SizeExpander</Name>
            <Text>Column size</Text>
            <Value>False</Value>
            <ValueType>Expander</ValueType>

            <!-- Column length -->
            <Parameter>
                <Name>ColumnLength</Name>
                <Text>Length</Text>
                <Value>400</Value>
                <ValueType>Length</ValueType>
            </Parameter>

            <!-- Column width -->
            <Parameter>
                <Name>ColumnWidth</Name>
                <Text>Width</Text>
                <Value>400</Value>
                <ValueType>Length</ValueType>
            </Parameter>

            <!-- Column height -->
            <Parameter>
                <Name>ColumnHeight</Name>
                <Text>Height</Text>
                <Value>2000</Value>
                <ValueType>Length</ValueType>
            </Parameter>
        </Parameter>

        <!-- Column propeties Expander -->
        <Parameter>
            <Name>ColumnPropExpander</Name>
            <Text>Properties</Text>
            <Value>False</Value>
            <ValueType>Expander</ValueType>

            <!-- use global properties -->
            <Parameter>
                <Name>IsColumnUseGlobalProp</Name>
                <Text>Use global properties</Text>
                <Value>False</Value>
                <ValueType>CheckBox</ValueType>
            </Parameter>

            <!-- pen -->
            <Parameter>
                <Name>ColumnPen</Name>
                <Text>Pen</Text>
                <Value>1</Value>
                <ValueType>Pen</ValueType>
                <Visible>IsColumnUseGlobalProp == False</Visible>
            </Parameter>

            <!-- Stroke -->
            <Parameter>
                <Name>ColumnStroke</Name>
                <Text>Stroke</Text>
                <Value>1</Value>
                <ValueType>Stroke</ValueType>
                <Visible>IsColumnUseGlobalProp == False</Visible>
            </Parameter>

            <!-- Color -->
            <Parameter>
                <Name>ColumnColor</Name>
                <Text>Color</Text>
                <Value>1</Value>
                <ValueType>Color</ValueType>
                <Visible>IsColumnUseGlobalProp == False</Visible>
            </Parameter>

            <!-- Layer -->
            <Parameter>
                <Name>ColumnLayer</Name>
                <Text>Layer</Text>
                <Value>1</Value>
                <ValueType>Layer</ValueType>
                <Visible>IsColumnUseGlobalProp == False</Visible>
            </Parameter>

        </Parameter>

    </Page>

</Element>
